Get purchase invoices filtered and paged

Prev Next
Post
/api/v1/invoices/purchaseinvoices/filter

Get a paged list of existing purchase invoices, optionally filtered to the given parameters.

Description

The endpoint retrieves a paged list of existing purchase invoices from the financial accounting administration, filtered to the given parameters.

Use Case

The user may retrieve purchase invoices linked to a specific customer or contract in order to display them within a customer portal or during support interactions, enhancing service quality and transparency. Additionally, the API can be used to identify accounts with a high number of overdue purchase invoices, supporting escalation processes such as legal action or transfer to a collection agency.    

Request fields

The request contains the following fields:

FieldDescription
pageSizeThe maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number).
pageNumberThis allows the requesting party to specify which of the pages they want to receive.
columnNameThe data field based on which sorting is applied. For example, if the results are sorted based on ascending name, columnName will contain the value 'name'.
orderBased on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a).
referenceThe unique identifier of this purchase invoice within Bloxs. This reference is provided by the supplier and is unique per supplier within the client-specific environment. This reference can be used to obtain further information regarding the purchase invoice through the GET operation.
ownerReferenceThe reference of the owner (administration) that is the buying party in this purchase invoice. This is the administration in which the purchase invoice is processed.
relationReferenceThe reference of the relation (supplier) that is the selling party in this purchase invoice. It can refer to any relation type within the system and is not necessarily a supplier. For example, another owner invoicing the owner of the purchase invoice.
invoiceDate.from
The invoice date of the purchase invoice. When used as a filter, only purchase invoices with an invoice date on or after this date are returned. This defines the lower border of the range.
invoiceDate.to

The invoice date of the purchase invoice. When used as a filter, only purchase invoices with an invoice date on or before this date are returned. This defines the upper border of the range.
paymentTermNameDescription of the payment term, for example: "Payment must be made by [date]."
dueDate.fromDue date of the purchase invoice. This defines the lower border of the range.
dueDate.toDue date of the purchase invoice. This defines the upper border of the range.
totalAmountExcl.fromThe total amount of the purchase invoice, excluding VAT. When applied as a filter, it returns only purchase invoices whose total amount (excluding VAT) is greater than or equal to the specified amount. This defines the lower bound of the filter range.
totalAmountExcl.toThe total amount of the purchase invoice, excluding VAT. When applied as a filter, it returns only purchase invoices whose total amount (excluding VAT) is less than or equal to the specified amount. This defines the upper bound of the filter range.
totalAmountVAT.fromThe total VAT amount of the purchase invoice. When applied as a filter, it returns only purchase invoices whose total VAT amount is greater than or equal to the specified amount. This defines the lower bound of the filter range.
totalAmountVAT.toThe total VAT amount of the purchase invoice. When applied as a filter, it returns only purchase invoices whose total VAT amount is less than or equal to the specified amount. This defines the upper bound of the filter range.
totalAmountIncl.fromThe total amount of the purchase invoice, including VAT. When applied as a filter, it returns only purchase invoices whose total amount (including VAT) is greater than or equal to the specified amount. This defines the lower bound of the filter range.
totalAmountIncl.toThe total amount of the purchase invoice, including VAT. When applied as a filter, it returns only purchase invoices whose total amount (including VAT) is less than or equal to the specified amount. This defines the upper bound of the filter range.
OutstandingAmount.fromTotal outstanding amount for the current month only. This reflects the amount due specifically within the current month and does not include any outstanding balances from previous months. The amount is expressed with two decimals. This defines the lower border of the range.
OutstandingAmount.toTotal outstanding amount for the current month only. This reflects the amount due specifically within the current month and does not include any outstanding balances from previous months. The amount is expressed with two decimals. This defines the upper border of the range.
OutstandingAmountReacalculateDate.from
The date on which the outstanding debt was last updated. This value is generated by Bloxs. This defines the lower border of the range.
OutstandingAmountReacalculateDate.to
The date on which the outstanding debt was last updated. This value is generated by Bloxs. This defines the upper border of the range.


Security
HTTP
Type Bearer

Please enter a valid token

Body parameters
Expand All
object
paging
object (PagingInfo)
pageSize
integer (int32) | null
Minimum1
Maximum1000
pageNumber
integer (int32) | null
Minimum1
Maximum9999
sorting
object (SortingInfo)
columnName
string | null
order
integer (int32)
Valid values[ 0, 1 ]
filter
object (PurchaseInvoiceSearchRequestFilter)
reference
string | null
ownerReference
string | null
relationReference
string | null
invoiceDate
object (CompareFilterModelDateTime)
from
string (date-time) | null
to
string (date-time) | null
paymentTermName
string | null
dueDate
object (CompareFilterModelDateTime)
from
string (date-time) | null
to
string (date-time) | null
totalAmountExcl
object (CompareFilterModelDecimal)
from
number (double) | null
to
number (double) | null
totalAmountVAT
object (CompareFilterModelDecimal)
from
number (double) | null
to
number (double) | null
totalAmountIncl
object (CompareFilterModelDecimal)
from
number (double) | null
to
number (double) | null
outstandingAmount
object (CompareFilterModelDecimal)
from
number (double) | null
to
number (double) | null
outstandingAmountRecalculateDate
object (CompareFilterModelDateTime)
from
string (date-time) | null
to
string (date-time) | null
Responses
200

OK

Expand All
object
paging
object (PagingInfo)
pageSize
integer (int32) | null
Minimum1
Maximum1000
pageNumber
integer (int32) | null
Minimum1
Maximum9999
sorting
object (SortingInfo)
columnName
string | null
order
integer (int32)
Valid values[ 0, 1 ]
purchaseInvoices
Array of object (PurchaseInvoiceSearchResultFilter) | null
object
reference
string | null
ownerReference
string | null
relationReference
string | null
invoiceDate
string (date)
paymentTermName
string | null
dueDate
string (date)
totalAmountExcl
number (double)
totalAmountVAT
number (double)
totalAmountIncl
number (double)
outstandingAmount
number (double) | null
outstandingAmountRecalculateDate
string (date-time) | null